cmake_minimum_required (VERSION 3.8)

# PACKAGES
find_package(nng CONFIG REQUIRED)
find_package(SystemCLanguage CONFIG REQUIRED)
#find_package(nnxx CONFIG REQUIRED)
#find_package(Boost CONFIG REQUIRED)
find_package(jsoncpp CONFIG REQUIRED)
#find_package(ZeroMQ CONFIG REQUIRED)


# EXECS
add_executable (sman "sman.cpp" "sman.h" )

target_link_libraries(sman
	SystemC::systemc
	jsoncpp_lib
	nng::nng
#	libzmq 
#	libzmq-static
)
